Bug 830613 - Unknown part of F16 to F17 ypbind upgrade failed to run properly
Unknown part of F16 to F17 ypbind upgrade failed to run properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 21:25 EDT by John Mellor
Modified: 2014-01-21 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:58:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mellor 2012-06-10 21:25:46 EDT
Description of problem:
Unknown part of upgrade failed to run properly

Version-Release number of selected component (if applicable):
ypbind-1.35-2.fc17.x86_64

How reproducible:
Unknown.  Observed during upgrade.

Steps to Reproduce:
1. Upgrade bone-stock F16 to F17
  
Actual results:
07:56:38 Installing ypbind-1.33-7.fc16.x86_64
Running in chroot, ignoring request.

Expected results:
unremarkable install.

Additional info:
Comment 1 Honza Horak 2012-06-11 09:36:23 EDT
This is weird and off course I have many questions..
Did you find any message in /var/log/messages related to ypbind after that?
What was the result of upgrade, did it pass?
And one another thing I don't understand, why there is F16 build installed during F17 upgrade? Do you happen to have an idea?
Comment 2 John Mellor 2012-06-11 19:46:09 EDT
Honza asked:
> Did you find any message in /var/log/messages related to ypbind after that?
> What was the result of upgrade, did it pass?
> And one another thing I don't understand, why there is F16 build installed
> during F17 upgrade?

This message was noted when perusing the errors in an F16 -> F17 upgrade.  That was the only error message relating to ypbind.  In this situation, yes, I expect that the F16 build is installed while it is upgrading.  Or is there an error in the order of operations?
Comment 3 John Mellor 2012-06-11 21:34:57 EDT
Please transfer this problem to the Fedora installer.  The root cause of this bug appears to be that the installer on the F17 DVD does not upgrade the ypbind product, but simply installs the F17 ypbind package alongside the F16 one.
Comment 4 Honza Horak 2012-06-12 03:26:47 EDT
(In reply to comment #3)
> Please transfer this problem to the Fedora installer.

Re-assigning to yum.
Comment 5 Fedora End Of Life 2013-07-03 22:18:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 03:58:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.